Skip to content

updateIssue

WRITE

Update issue.

POST /api/v1/quality/updateIssue
curl -X POST '<your-host>/api/v1/quality/updateIssue' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"MRB"
"Low""Medium""High""Critical"
"Internal""External"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "nonConformanceId": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "priority": {
      "type": "string",
      "enum": [
        "Low",
        "Medium",
        "High",
        "Critical"
      ]
    },
    "source": {
      "type": "string",
      "enum": [
        "Internal",
        "External"
      ]
    },
    "locationId": {
      "type": "string"
    },
    "nonConformanceTypeId": {
      "type": "string"
    },
    "nonConformanceWorkflowId": {
      "type": [
        "string",
        "null"
      ]
    },
    "openDate": {
      "type": "string"
    },
    "dueDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "closeDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "quantity": {
      "type": "number"
    },
    "requiredActionIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "approvalRequirements": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "MRB"
        ]
      }
    },
    "customFields": {}
  },
  "required": [
    "id"
  ]
}